summaryrefslogtreecommitdiff
path: root/weather-logger
diff options
context:
space:
mode:
authorPatrick Simianer <pks@pks.rocks>2019-01-27 00:27:21 +0100
committerPatrick Simianer <pks@pks.rocks>2019-01-27 00:27:21 +0100
commit843bb50c48a8b11c572c1e64e0237d09d635e1f0 (patch)
tree60fe62048b80ef392b275e77df69748e41fd81df /weather-logger
init
Diffstat (limited to 'weather-logger')
-rwxr-xr-xweather-logger26
1 files changed, 26 insertions, 0 deletions
diff --git a/weather-logger b/weather-logger
new file mode 100755
index 0000000..a2c957b
--- /dev/null
+++ b/weather-logger
@@ -0,0 +1,26 @@
+#! /bin/sh
+# /etc/init.d/weather-logger
+#
+
+export SUFFIX=$(date +'%Y-%m-%d-%H:%M:%S')
+export DIR=/home/pi/weather/
+
+# Carry out specific functions when asked to by the system
+case "$1" in
+ start)
+ echo "Starting weather-logger"
+ rm -f $DIR/stop
+ runuser -l pi -c "source $DIR/env/bin/activate && python $DIR/receive.py 2>$DIR/weather.$SUFFIX.err > $DIR/weather.$SUFFIX.out"
+ ;;
+ stop)
+ echo "Stopping weather-logger"
+ runuser -l pi -c "touch $DIR/stop"
+ ;;
+ *)
+ echo "Usage: /etc/init.d/weather-logger {start|stop}"
+ exit 1
+ ;;
+esac
+
+exit 0
+